Attributes
| Name | Type | Description |
|---|---|---|
| id | Integer | Automatically set |
| created_at | Datetime | Automatically set |
| updated_at | Datetime | Automatically set |
| target_url | String | Required |
| event | String | Required |
| active | Boolean | Automatically set |
See webhook overview for a list of events, wildcard usage to trigger from multiple events, and how to handle webhook events from Makeplans.
Listing
GET /web_hooks will return all webhooks.
Response
[
{
"web_hook": {
"id": 1,
"target_url": "https://example.com/newcustomer/yeah",
"event": "person.created",
"active": true,
"created_at": "2012-09-20T15:34:16+02:00",
"updated_at": "2012-09-20T15:34:16+02:00"
}
}
]
Get webhook
GET /web_hooks/{web_hook_id} will get a webhook with id {web_hook_id}.
Add new webhook
POST /web_hooks will create a new webhook.
Update webhook
PUT /web_hooks/{web_hook_id} will update existing webhook with id {web_hook_id}.
Delete webhook
DELETE /web_hooks/{web_hook_id} will delete existing webhook with id {web_hook_id}.